@import url('https://fonts.googleapis.com/css2?family=Ubuntu+Mono:wght@400;700&display=swap');

.panel-black {

    font-family: 'Ubuntu Mono', monospace;
    color: chartreuse;

  background-color: black;
  width: 80vw;
}

.content {
    text-align: center;
    font-size: large;
    align-content: center;
    align-items: center;
  }
  
  #lastBlock {
    font-family: 'Ubuntu Mono', monospace;
    font-size: 2rem;
    opacity: 100%;
    padding: 1.3rem;
  
  }
  #headBlock {
    font-family: 'Ubuntu Mono', monospace;
    font-size: 3rem;
    opacity: 100%;
  }

  .spacers {
   height: 5rem;
  }

.fade-In {
  opacity: 80%;
  transition:opacity 1s;
}

.serverStatsHeader {
  /* padding: 1rem; */
  text-align: center;
  align-content: center;
  padding-top: 35px;
    position: relative;
}

.maxWidthContainer {
  max-width: 1024px;
  text-align: center;
  align-content: center;
  display: inline-block;
}


.transaction-box {

    height: 400px;  
}
/* .transactionBox {
  top: 100px;
    padding: 10px;
    position: relative;
    left: 150px;
    height: 180px;
    width: 560px;
    outline: thin;
    border: 1px solid #cdcdcd;
    border-color: rgba(0,0,0,.15);
    background-color: white;
    font-size: 16px;
    align-content: center;
} */
/* 
.transactionArea {
  top: 100px;
    padding: 10px;
    position: relative;
    left: 150px;
    height: 180px;
    width: 560px;
    outline: thin;
    border: 1px solid #cdcdcd;
    border-color: rgba(0,0,0,.15);
    background-color: white;
    font-size: 16px;
    align-content: center;
    opacity: 0;
    display: none;
   
} */


#transactionList {

    font-family: 'Ubuntu Mono', monospace;
    /* top: 60px; */
    padding: 20px;
    position: relative;
    /* left: 150px; */
    /* height: 180px; */
    /* width: 560px; */
    /* outline: thin; */
    /* border: 1px solid #cdcdcd;
    border-color: rgba(0,0,0,.15);
    background-color: white; */
    font-size: 16px;
    align-content: center;
    text-align: center;
    list-style: none;
    /* opacity: 0; */
    display: none;
    max-width: 80vw;
    top: -15px;
    display: inline-block;
}

.center-section {
/* position: absolute; */
text-align: center;
align-content: center;
align-self: center;


}


.blockchain-line {

  border: 1px dashed #888;
  width: 90%;
  margin: auto;
   margin-top: 2%;
  margin-bottom: 2%;  

}

.blockchain-container {

  font-family: 'Ubuntu Mono', monospace;
    /* top: 60px; */
  
    padding: 20px;
    /* display: table; */
    position: relative;
    font-size: 1.2rem;
    color: #888;
    border-spacing: 6px;
    align-content: center;
    align-self: center;
    text-align: center;
    /* opacity: 0; */
}

.blockchain-container-row { 
  display: table;
  width: 100%; /*Optional*/
  table-layout: fixed; /*Optional*/
  border-spacing: 6px; /*Optional*/
  color: #888;
  align-content: center;
  text-align: center;


}

  .blockchain-container-column {
    float: left ;
    
  }
  
  .blockchain-container-left {
    width: 75px;
    float: left;
    color: #888;
  }
  
  .blockchain-container-right {
    font-size: 1rem;
    color: #888;
    width: 500px;
    float: left;
    text-align: left;
    
  }

  .blockchain-container-right a {
    font-size: 1rem;
    color: #888;
    width: 500px;
    float: left;
    text-align: left;
  }

  .blockchain-container-right a:hover {
    font-size: 1rem;
    color: #888;
    width: 500px;
    float: left;
    text-align: left;
  }

  .blockchain-container-middle {
    font-size: 1.2rem;
    color: #888;
    width: 110px;
    float: left;
    text-align: left;
  }
  .blockchain-container-middle a{
    font-size: 1rem;
    color: #888;
    width: 110px;
    float: left;
    text-align: left;
  }
  .blockchain-container-middle a:hover{
    font-size: 1rem;
    color: #888;
    width: 110px;
    float: left;
    text-align: left;
  }
  .truncate {
    /* width: 400px; */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

/* Clear floats after the columns */
.blockchain-container-row:after {
  content: "";
  /* display: table; */
  clear: both;
}

.dark-text {
  color: #888;
}






@-webkit-keyframes list-fade-in {
  0%   { opacity: 0; }
  100% { opacity: 1; }
}
@-moz-keyframes list-fade-in {
  0%   { opacity: 0; }
  100% { opacity: 1; }
}
@-o-keyframes list-fade-in {
  0%   { opacity: 0; }
  100% { opacity: 1; }
}
@keyframes list-fade-in {
  0%   { opacity: 0; }
  100% { opacity: 1; }
}


@-webkit-keyframes list-fade-out {
  0%   { opacity: 1; }
  100% { opacity: 0; }
}
@-moz-keyframes list-fade-out {
  0%   { opacity: 1; }
  100% { opacity: 0; }
}
@-o-keyframes list-fade-out {
  0%   { opacity: 1; }
  100% { opacity: 0; }
}
@keyframes list-fade-out {
  0%   { opacity: 1; }
  100% { opacity: 0; }
}


.truncated { 
    /* display:inline-block;  */
             max-width: 65vw; 
             overflow:hidden; 
             text-overflow:ellipsis; 
             white-space:nowrap; 
           }

.fade-In {

  -webkit-animation: list-fade-in .5s; /* Safari 4+ */
  -moz-animation:    list-fade-in .5s ; /* Fx 5+ */
  -o-animation:      list-fade-in .5s ; /* Opera 12+ */
  animation:         list-fade-in .5s ; /* IE 10+, Fx 29+ */
}


.fade-Out {

-webkit-animation: list-fade-out .5s; /* Safari 4+ */
-moz-animation:    list-fade-out .5s ; /* Fx 5+ */
-o-animation:      list-fade-out .5s ; /* Opera 12+ */
animation:         list-fade-out .5s ; /* IE 10+, Fx 29+ */
}


@media only screen 
and (max-device-width : 667px) {


    .truncated { 
        /* display:inline-block;  */
        max-width: 70vw; 
        overflow:hidden; 
        text-overflow:ellipsis; 
        white-space:nowrap; 
        font-size: .8rem;
      }

      #lastBlock {

        font-size: 1rem;
      
        padding: .6rem;
      
      }

      #transactionList {
          max-width: 100vw;
      }

      .panel-black {

      width: 100vw;
    }

}